### A free/open-source library for quantitative finance

Public Member Functions
SteepestDescent Class Reference

Multi-dimensional steepest-descent class. More...

`#include <ql/math/optimization/steepestdescent.hpp>`

Inherits LineSearchBasedMethod.

List of all members.

## Public Member Functions

| SteepestDescent (const boost::shared_ptr< LineSearch > &lineSearch=boost::shared_ptr< LineSearch >())

## Detailed Description

Multi-dimensional steepest-descent class.

User has to provide line-search method and optimization end criteria

search direction